#
# spec file for package rubygem-packaging_rake_tasks
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rubygem-packaging_rake_tasks
Version:        1.5.4
Release:        1.7
%define mod_name packaging_rake_tasks
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Suggests:       %{rubygem parallel}
URL:            http://github.org/openSUSE/packaging_tasks
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rake tasks providing tasks to package project in git and integration
License:        LGPL-2.1-only
Group:          Development/Languages/Ruby

%description
Rake tasks to allow easy packaging ruby projects in git for Build Service or
other packaging service.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING" \
  -f

%gem_packages

%changelog
* Mon Jun 19 2023 Ladislav Slezák <lslezak@suse.com>
- Fixed crash in "build_dependencies:*" rake tasks when processing
  some spec files (related to bsc#1211319)
- 1.5.4
* Tue May 16 2023 Ladislav Slezák <lslezak@suse.com>
- Added support for multi build packages in "build_dependencies:*"
  rake tasks (related to bsc#1211319)
- 1.5.3
* Mon Mar  6 2023 Martin Vidner <mvidner@suse.com>
- Stop using File.exists? which no longer works in Ruby 3.2
  (bsc#1206419)
- 1.5.2
* Thu Sep  2 2021 Ladislav Slezák <lslezak@suse.cz>
- "rake osc:build" - added a workaround for broken
  rpmlint/checkbashisms test in Factory to fix stuck builds
  (bsc#1190094)
- 1.5.1
* Wed Mar 24 2021 Ladislav Slezák <lslezak@suse.cz>
- Some rake tasks improvements (bsc#1183957):
  - Added "rake osc:config" task
  - Allow skipping part of the Git commit check with
    CHECK_MODIFIED=0 option
- 1.5.0
* Fri Feb 26 2021 Ladislav Slezák <lslezak@suse.cz>
- Allow package downgrade in "build_dependencies:install" task
  (bsc#1182795)
- 1.4.15
* Wed Dec  2 2020 José Iván López González <jlopez@suse.com>
- Do not check license in vector images (needed for jsc#SLE-16313).
- 1.4.14
* Tue Dec  1 2020 Ladislav Slezák <lslezak@suse.cz>
- Use the "--non-interactive" zypper option in the
  "build_dependencies:install" task if not running in a terminal
  (related to bsc#1179445)
- 1.4.13
* Tue Dec  1 2020 Ladislav Slezák <lslezak@suse.cz>
- Use "sudo" in the "build_dependencies:install" task only when
  running as non-root, "sudo" might not be installed when running
  as root (bsc#1179445)
- 1.4.12
* Tue Jun 23 2020 David Diaz <dgonzalez@suse.com>
- Add support for using Linux Foundation Bugzilla and Github issues
  references in the changelog (github#yast/yast-theme#128).
- 1.4.11
* Thu Sep  5 2019 Stefan Hundhammer <shundhammer@suse.com>
- Unified spec_version (bsc#1149618)
- 1.4.10
* Wed Aug  7 2019 Martin Vidner <mvidner@suse.com>
- Reduce verbosity of tarball making (bsc#1146310)
- 1.4.9
* Wed Jun 12 2019 Stefan Hundhammer <shundhammer@suse.com>
- Added git helpers and support for git version tags (bsc#1133435)
- 1.4.8
* Fri May 10 2019 David Diaz <dgonzalez@suse.com>
- Add support for SUSE's Jira tags (bsc#1134704)
- 1.4.7
* Thu Aug 16 2018 lslezak@suse.cz
- Do not set the "--root" osc option in the "osc:build" task,
  it is not needed anymore and the default works even better
  (bsc#1105050)
- 1.4.6
* Thu Mar  1 2018 lslezak@suse.cz
- Support the new .oscrc config file location (~/.config/osc/oscrc),
  the old path (~/.oscrc) is still supported as a fallback
  (bsc#1083491)
- 1.4.5
* Mon Feb  5 2018 ancor@suse.com
- Do not skip symlinks when creating the tarball, which was an
  unintented consequence of the previous change (bsc#1078900).
- 1.4.4
* Wed Nov 29 2017 lslezak@suse.cz
- Fixed "rake tarball" task to work also with tar < 1.28.
  (Do not use the "--sort=name" tar option, use a "find | sort"
  workaround instead. The "--sort" option is not supported in
  the latest Leap 42.3 or SLE12-SP3.) (bsc#1070168)
- 1.4.3
* Tue Nov 28 2017 lslezak@suse.cz
- Fixed the "rake tarball" task to create reproducible tarballs,
  avoid different source checksums for the same content in OBS
  and in IBS (bsc#1070168)
- 1.4.2
* Fri Oct 13 2017 lslezak@suse.cz
- Avoid "service in progress" error when creating a SR for
  a freshly commited package (bsc#1063248)
- 1.4.1
* Thu Sep 21 2017 lslezak@suse.cz
- Added "build_dependencies" tasks to easily install the build
  dependencies required for development (bsc#1020033)
- 1.4.0
* Thu Jul 13 2017 mvidner@suse.com
- check:syntax: Do not print "Syntax OK" for every file.
- 1.3.4
* Thu Jul 13 2017 jreidinger@suse.com
- If package is missing in target sr repository consider it like
  different version and do not crash ( needed for SLE15 submission
  so part of bsc#1044312)
- 1.3.3
* Mon May 29 2017 mvidner@suse.com
- If parallel.gem is available, use it to speed up check:syntax
- 1.3.2
* Mon May 22 2017 lslezak@suse.cz
- sync the gem2rpm.yml changes from IBS
* Mon Apr 10 2017 jreidinger@suse.com
- sync IDs in check:changelog with build service
- 1.3.1
* Thu Apr  6 2017 jreidinger@suse.com
- Add new task for check documentation (check:doc)
- 1.3.0
* Fri Apr  1 2016 mvidner@suse.com
- Fixed snapper submission (bsc#973607)
  - check:changelog only before osc:sr
  - check:changelog depends on package, not the reverse
- 1.2.1
* Thu Mar 17 2016 igonzalezsosa@suse.com
- Avoid checking for bug IDs when obs_sr_project is not defined
  (bnc#0)
- 1.2.0
* Thu Mar 17 2016 igonzalezsosa@suse.com
- When checking for bug IDs in *.changes, diff against
  obs_sr_project, not obs_project, to be consistent with the
  version checker (bnc#0)
- 1.1.5
* Wed Mar  9 2016 schubi@suse.de
- Checking *.changes file for new bugzilla, fate,... IDs before
  packaging.
  (bnc#0)
- 1.1.4
* Thu May 14 2015 coolo@suse.com
- adapt to new rubygem packaging
* Thu May 14 2015 jreidinger@suse.com
- Do not crash if tarball have different name in devel project
- 1.1.3
* Tue Apr 28 2015 jreidinger@suse.com
- stop osc commit if there is no change
- 1.1.2
* Thu Nov 13 2014 lslezak@suse.cz
- additionally report warnings in the "check:syntax" task
- 1.1.1
* Mon Oct  6 2014 jreidinger@suse.com
- Add configuration option for maintenance mode, which allows to
  create maintenance requests instead of pull requests
- use new ruby packaging schema for rpm spec
- 1.1.0
* Wed Apr 23 2014 mvidner@suse.com
- Always pass the conf.obs_api parameter so that osc does not
  ask about a login to api.opensuse.org.
- 1.0.16
* Fri Feb 21 2014 mvidner@suse.com
- Fix submit request version message if there is more than one
  spec file
- 1.0.15
* Wed Feb  5 2014 jreidinger@suse.com
- pipe `yes` to osc build to automatic rebuild broken build root
- reduce long changelog to prevent too long URI error with osc
  commit
- 1.0.14
* Fri Jan 17 2014 jreidinger@suse.com
- Fix reading file on target BS if server is not OBS
- 1.0.13
* Wed Jan  8 2014 jreidinger@suse.com
- Fix submit request version comparison if there is more then one
  spec file
- 1.0.12
* Fri Nov 15 2013 jreidinger@suse.com
- workaround osc interactive superseed (gh#opensuse/osc#58)
- 1.0.11
* Fri Nov 15 2013 jreidinger@suse.com
- fix typo
- 1.0.10
* Fri Nov 15 2013 jreidinger@suse.com
- specify to have osc sr always non-interactive
- 1.0.9
* Wed Nov 13 2013 jreidinger@suse.com
- Fix osc sr to use proper version change detection
- 1.0.8
* Wed Nov 13 2013 jreidinger@suse.com
- Always pass message to osc sr otherwise it stuck in editor
- 1.0.7
* Fri Nov  8 2013 jreidinger@suse.com
- Do not check documentation files for license
- 1.0.6
* Tue Oct 15 2013 mvidner@suse.com
- Optional argument osc_options for `rake osc:build`
- 1.0.5
* Wed Oct  9 2013 jreidinger@suse.com
- Read all ruby files in UTF-8
- Improve reporting of different enconding
- 1.0.4
* Tue Oct  8 2013 jreidinger@suse.com
- Do not use locally build rpms to get persistent results
- 1.0.3
* Wed Oct  2 2013 jreidinger@suse.com
- Skip rspec files (detected by /#!.*rspec/ regexp) for ruby syntax
  check
- 1.0.2
* Mon Sep 30 2013 jreidinger@suse.com
- fix reading version file if it contain more empty lines
- 1.0.1
* Tue Sep 24 2013 jreidinger@suse.com
- Big cleaning of tasks, backward incompatible
- improve documentation
- 1.0.0
* Mon Jan 23 2012 jreidinger@suse.com
- skip in license check all non-regular files
- 0.1.8
* Wed Dec 21 2011 jreidinger@suse.com
- add correct provisions/obsoletes for old name, fix license string
- add ability to pack generated file
- 0.1.7
* Wed Dec 14 2011 jreidinger@suse.com
- fix excluding packages for user defined one
- 0.1.6
* Mon Dec 12 2011 jreidinger@suse.com
- add configuration to additional files to skip license check
- 0.1.5
* Mon Dec 12 2011 jreidinger@suse.com
- fix osc_build
- 0.1.4
* Thu Dec  8 2011 jreidinger@suse.com
- fix removing old package tarballs when version increase
- 0.1.3
* Mon Dec  5 2011 jreidinger@suse.com
- rename to rubygem-packaging_rake_tasks
- fixes for different obs_api
- 0.1.2
* Tue Aug 30 2011 jreidinger@suse.com
- various fixes, mainly showstoppers
- 0.1.1
* Tue Aug 16 2011 jreidinger@novell.com
- initial version based on webyast rake tasks
- 0.1.0
